### Virtual Method

# EBackend Backend get_destination_address

since: 3.8

#### Declaration [src]

    gboolean
    get_destination_address (
      EBackend* backend,
      gchar** host,
      guint16* port
    )

#### Description [src]

Provides destination server host name and port to which the backend connects. This is used to determine required connection point for e_backend_is_destination_reachable(). The `host` is a newly allocated string, which will be freed with g_free(). When `backend` sets both `host` and `port`, then it should return `TRUE`, indicating it’s a remote backend. Default implementation returns `FALSE`, which is treated like the backend is local, no checking for server reachability is possible.

Available since: 3.8

#### Parameters

`host`

  Type: `gchar**`

  Destination server host name.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`port`

  Type: `guint16*`

  Destination server port.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE`, when it’s a remote backend and provides both `host` and `port`; `FALSE` otherwise.